id: vnf_file
label: Public files
migration_group: vnf
source:
  plugin: images
  key: migrate
  constants:
    source_base_path: https://vnf.lv/uploaded/blog
    uid: 2
process:
  # fid: id
  filename: image
  source_full_path:
    -
      plugin: concat
      delimiter: /
      source:
        - constants/source_base_path
        - image
  uri:
    plugin: file_copy
    source:
      - '@source_full_path'
      - uri

  status:
    plugin: default_value
    default_value: 1
  uid: constants/uid
destination:
  plugin: entity:file
